TEACH-IN(1)

NAME
teach-in - jog the machine to a position, and record the state

SYNOPSIS
teach-in [> outfile]

DESCRIPTION
teach-in is a script to learn set positions for later use by a script.

A dialog box is shown with options to choose the coordinate system. each press of the "Learn" button outputs a line of text to stdout or the file chosen at load time. line format: line-no X Y Z flood mist lube spindle

SEE ALSO
LinuxCNC(1)

Much more information about LinuxCNC and HAL is available in the LinuxCNC and HAL User Manuals, found at /usr/share/doc/LinuxCNC/.

BUGS
None known at this time.

AUTHOR
This man page written by andypugh, as part of the LinuxCNC project.

REPORTING BUGS
Report bugs at https://github.com/LinuxCNC/linuxcnc/issues

COPYRIGHT
Copyright © 2020 andypugh.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.